# nest_jsx_query_builder

This package provides a simple API to create queries with ease for NestJs CRUD 

## Getting Started

This package is used to help you with creating complex queries if the backend you integrate with uses NestJS and nestjsx CRUD: https://www.npmjs.com/package/@nestjsx/crud-request

For JS frontend developers, the library (nestjsx/ crud) provides RequestQueryBuilder class that helps building a query string and customizing your query params names and delimiters.
Nestjsx/crud provides a full range of path and query parameters parsing/validation to help you build rich RESTful APIs. @nestjsx/crud-request is responsible for that.

This Dart package aims to do the same thing, it will help you to create search params query string to use with: https://github.com/nestjsx/crud/wiki/Requests#search

Some examples:
Check example/main.dart